Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.franz.agbase
Enum AllegroGraph.StoreAttribute

    java.lang.Object
      java.lang.Enum<AllegroGraph.StoreAttribute>
          com.franz.agbase.AllegroGraph.StoreAttribute

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AllegroGraph.StoreAttribute>

Enclosing class:
  AllegroGraph

    public static enum AllegroGraph.StoreAttribute

extends java.lang.Enum<AllegroGraph.StoreAttribute>

Enumerate the attributes that can be set with `AllegroGraph.setAttribute(com.franz.agbase.AllegroGraph.StoreAttribute, Object)`.

Enum Constant Summary
`EXPECTED_UNIQUE_RESOURCES` Long -- The initial size of the resource table in a new triple store.
`INCLUDE_STANDARD_PARTS` Boolean -- When true, create some commonly used RDF and Owl resources in a new triple store.
`INDIRECT_HOST` String -- A hostname where the server will find a remote triple store.
`INDIRECT_PORT` Integer -- The port number where the INDIRECT_HOST is listening.
`READ_ONLY` Boolean -- When true, open an existing triple store in read-only mode.
`WITH_INDICES` String[] -- The desired indices for a new triple store.

Method Summary
`static AllegroGraph.StoreAttribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AllegroGraph.StoreAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXPECTED_UNIQUE_RESOURCES

    public static final AllegroGraph.StoreAttribute EXPECTED_UNIQUE_RESOURCES

  Long -- The initial size of the resource table in a new triple store.

### WITH_INDICES

    public static final AllegroGraph.StoreAttribute WITH_INDICES

  String[] -- The desired indices for a new triple store.

### INCLUDE_STANDARD_PARTS

    public static final AllegroGraph.StoreAttribute INCLUDE_STANDARD_PARTS

  Boolean -- When true, create some commonly used RDF and Owl resources in a new triple store.

### READ_ONLY

    public static final AllegroGraph.StoreAttribute READ_ONLY

  Boolean -- When true, open an existing triple store in read-only mode. If an application wants to create a UPI map on a read-only store, it must specify an alternate (writable) directory for the map with `AllegroGraph.setUPIMapDirectory(String)`.

### INDIRECT_HOST

    public static final AllegroGraph.StoreAttribute INDIRECT_HOST

  String -- A hostname where the server will find a remote triple store. When an INDIRECT_HOST is specified, the name and directory arguments are relative to the location of the remote host.

### INDIRECT_PORT

    public static final AllegroGraph.StoreAttribute INDIRECT_PORT

  Integer -- The port number where the INDIRECT_HOST is listening.

Method Detail

### values

    public static final AllegroGraph.StoreAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AllegroGraph.StoreAttribute c : AllegroGraph.StoreAttribute.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AllegroGraph.StoreAttribute valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD